%define lib_major 3
%define lib_major_gmpxx 3
%define lib_major_mp 3

%define lib_name	%mklibname %{name} %{lib_major}
%define lib_name_gmpxx	%mklibname %{name}xx %{lib_major_gmpxx}
%define	lib_name_mp	%mklibname %{name}mp %{lib_major_mp} 

Summary:	A GNU arbitrary precision library
Name:		gmp
Version:	4.2.1
Release:	%mkrel 1
License:	LGPL 
Group:		System/Libraries
URL:		http://www.swox.com/gmp/
Source0:	ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/gmp/%{name}-%{version}.tar.bz2.sig
BuildRequires:	autoconf2.5
BuildRequires:  automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
   - it uses fullwords as the basic arithmetic type,
   - it uses fast algorithms,
   - it carefully optimizes assembly code for many CPUs' most common
     inner loops
   - it generally emphasizes speed over simplicity/elegance in its
     operations

%package -n	%{lib_name}
Summary:	A GNU arbitrary precision library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{lib_name}
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and floating
point numbers. GNU MP is designed for speed, for both small and very
large operands.

GNU MP is fast for several reasons:
  - it uses fullwords as the basic arithmetic type,
  - it uses fast algorithms
  - it carefully optimizes assembly code for many CPUs' most common
    inner loops
  - it generally emphasizes speed over simplicity/elegance in its
    operations

%package -n	%{lib_name}-devel
Summary:	Development tools for the GNU MP arbitrary precision library
Group:		Development/C
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
The static libraries, header files and documentation for using the GNU MP
arbitrary precision library in applications.

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%package -n	%{lib_name_gmpxx}
Summary:	C++ support for GMP
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libgmpxx = %{version}-%{release}

%description -n	%{lib_name_gmpxx}
C++ support for GMP.

%package -n	%{lib_name_gmpxx}-devel
Summary:	C++ Development tools for the GMP
Group:		Development/C++
Requires:	%{lib_name}-devel = %{version}-%{release}
Requires:	%{lib_name_gmpxx} = %{version}-%{release}
Provides:	lib%{name}xx-devel = %{version}-%{release}
Provides:	gmpxx-devel = %{version}-%{release}

%description -n	%{lib_name_gmpxx}-devel
C++ Development tools for the GMP.

%package -n	%{lib_name_mp}
Summary:	Berkley MP compatibility library for GMP
Group:		System/Libraries
Provides:	libgmp_mp = %{version}-%{release}

%description -n	%{lib_name_mp}
Berkley MP compatibility library for GMP.

%package -n	%{lib_name_mp}-devel
Summary:	Development tools for Berkley MP compatibility library for GMP
Group:		Development/C
Requires:	%{lib_name_mp} = %{version}-%{release}
Provides:	lib%{name}mp-devel = %{version}-%{release}
Provides:	mp-devel = %{version}-%{release}

%description -n	%{lib_name_mp}-devel
Development tools for Berkley MP compatibility library for GMP.

%prep
%setup -q

%build
%{configure2_5x} --enable-cxx --enable-mpbsd
%{make}

%check
# All tests must pass
%{make} check

%install
%{__rm} -rf %{buildroot}
%{makeinstall}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name_gmpxx} -p /sbin/ldconfig
%postun -n %{lib_name_gmpxx} -p /sbin/ldconfig

%post -n %{lib_name_mp} -p /sbin/ldconfig
%postun -n %{lib_name_mp} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}.info

%preun -n %{lib_name}-devel
%_remove_install_info %{name}.info

%clean
%{__rm} -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING.LIB NEWS README
%{_libdir}/libgmp.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc demos
%{_libdir}/libgmp.so
%{_libdir}/libgmp.a
%{_libdir}/libgmp.la 
%{_includedir}/gmp.h
%{_infodir}/gmp.info*

%files -n %{lib_name_gmpxx}
%defattr(-,root,root)
%{_libdir}/libgmpxx.so.*

%files -n %{lib_name_gmpxx}-devel
%defattr(-,root,root)
%{_libdir}/libgmpxx.so
%{_libdir}/libgmpxx.a
%{_libdir}/libgmpxx.la
%{_includedir}/gmpxx.h

%files -n %{lib_name_mp}
%defattr(-,root,root)
%{_libdir}/libmp.so.*

%files -n %{lib_name_mp}-devel
%defattr(-,root,root)
%{_includedir}/mp.h
%{_libdir}/libmp.a
%{_libdir}/libmp.so
%{_libdir}/libmp.la




%changelog

* Wed Mar 07 2007 David Walluck <walluck@mandriva.org> 4.2.1-1mdv2007.1
+ Revision: 134648
- 4.2.1

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 4.1.4-5mdv2007.1
+ Revision: 74681
- bunzip patches
- misc spec file fixes
- Import gmp

* Mon May 01 2006 Stefan van der Eijk <stefan@eijk.nu> 4.1.4-4mdk
- rebuild for sparc

* Tue Jan 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.1.4-3mdk
- fix sparc64 build (P8 from aurora)
- fix prereq-use
- add %%check stage where we move make check to

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 4.1.4-2mdk
- Rebuild

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 4.1.4-1mdk
- 4.1.4
- Patch 7 : Fix Build

* Tue Jun 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.3-2mdk
- remove build dependency on gmp-devel

* Fri Jun 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.1.3-1mdk
- 4.1.3
- regenerate P0
- drop P2-P6 (merged upstream)

